<nav class="navbar navbar-expand-md navbar-dark bg-dark">
  <a class="navbar-brand" href="#">Social media app</a>

    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="#">Users</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Friends</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Messages</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" (click)="logout()">Logout</a>
      </li>
    </ul>

    <div *ngIf="loggedIn()" class="dropdown">
      <a class="dropdown-toggle text-light">
        Welcome User
      </a>
      <div class="dropdown-menu">
        <a class="dropdown-item" href="#"><i class="fa fa-user"></i>Edit profile</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#"><i class="fa fa-sign-out"></i>Logout</a>
      </div>
    </div>

    <form *ngIf="!loggedIn()" #loginForm="ngForm" class="form-inline my-2 my-lg-0" (ngSubmit)="login()">
      <input class="form-control mr-sm-2" type="username" name="username" placeholder="Username" required [(ngModel)]="model.username">
      <input class="form-control mr-sm-2" type="password" name="password" placeholder="Password" required [(ngModel)]="model.password">
      <button [disabled]="!loginForm.valid" class="btn btn-success my-2 my-sm-0" type="submit">Login</button>
    </form>
</nav>